<?php
    /*
     * If the current post is protected by a password and
     * the visitor has not yet entered the password we will
     * return early without loading the comments.
     */
    if ( post_password_required() )
        return;
?>
 
    <div id="comments" class="comments-area">
 
    <?php if ( have_comments() ) : ?>
        <h2 class="comments-title">
            <?php
                printf( _n( 'Komentarz na temat &ldquo;%2$s&rdquo;', '%1$s komentarze na temat &ldquo;%2$s&rdquo;', get_comments_number(), 'librawp' ),
                    number_format_i18n( get_comments_number() ), '<span>' . get_the_title() . '</span>' );
            ?>
        </h2>
 
        <?php if ( get_comment_pages_count() > 1 && get_option( 'page_comments' ) ) : // show nav if enough comments?>
        <nav role="navigation" id="comment-nav-above" class="site-navigation comment-navigation">
            <h1 class="assistive-text"><?php _e( 'Więcej komentarzy', 'librawp' ); ?></h1>
            <div class="nav-previous"><?php previous_comments_link( __( '&larr; Starsze komentarze', 'librawp' ) ); ?></div>
            <div class="nav-next"><?php next_comments_link( __( 'Nowsze komentarze &rarr;', 'librawp' ) ); ?></div>
        </nav><!-- #comment-nav-before .site-navigation .comment-navigation -->
        <?php endif; // check for comment navigation ?>
 
        <ol class="commentlist">
            <?php
                wp_list_comments();
            ?>
        </ol><!-- .commentlist -->
 
        <?php if ( get_comment_pages_count() > 1 && get_option( 'page_comments' ) ) : // show nav if enough comments ?>
        <nav role="navigation" id="comment-nav-below" class="site-navigation comment-navigation">
            <h1 class="assistive-text"><?php _e( 'Więcej komentarzy', 'librawp' ); ?></h1>
            <div class="nav-previous"><?php previous_comments_link( __( '&larr; Starsze komentarze', 'librawp' ) ); ?></div>
            <div class="nav-next"><?php next_comments_link( __( 'Nowsze komentarze &rarr;', 'librawp' ) ); ?></div>
        </nav><!-- #comment-nav-below .site-navigation .comment-navigation -->
        <?php endif; // check for comment navigation ?>
 
    <?php endif; // have_comments() ?>
 
    <?php
        // If comments are closed and there are comments, let's leave a little note, shall we?
        if ( !comments_open() && '0' != get_comments_number() && post_type_supports( get_post_type(), 'comments' ) ) :
    ?>
        <p class="nocomments"><?php _e( 'Komentowanie na tej stronie jest wyłączone.', 'librawp' ); ?></p>
    <?php endif; ?>
 
    <?php comment_form(); ?>
 
</div><!-- #comments .comments-area -->