<?php
add_action( 'after_setup_theme', 'wpt_setup' );
    if ( ! function_exists( 'wpt_setup' ) ):
        function wpt_setup() {  
            register_nav_menu( 'primary', __( 'Główne menu', 'librawp' ) );
        } endif;
		
require_once('wp_bootstrap_navwalker.php');

add_theme_support( 'html5', array( 'comment-list', 'search-form', 'comment-form', 'automatic-feed-links' ));

// Remove page scrolling on MORE link
function remove_more_link_scroll( $link ) {
	$link = preg_replace( '|#more-[0-9]+|', '', $link );
	return $link;
}
add_filter( 'the_content_more_link', 'remove_more_link_scroll' );



// post type for books
add_action( 'init', 'lib_register_book' );

function lib_register_book() {
    $labels = array(
        'name' => _x('Promocje', 'post type general name', 'librawp'),
        'singular_name' => _x('Promocja', 'post type singular name', 'librawp'),
        'add_new' => _x('Dodaj nową', 'promocję', 'librawp'),
        'add_new_item' => __('Dodaj nową promocję', 'librawp'),
        'edit_item' => __('Edytuj promocję', 'librawp'),
        'new_item' => __('Dodaj promocję', 'librawp'),
        'view_item' => __('Zobacz promocję', 'librawp'),
        'search_items' => __('Przeszukaj promocje', 'librawp'),
        'not_found' =>  __('Nie zapisano żadnych promocji', 'librawp'),
        'not_found_in_trash' => __('Brak promocji w koszu', 'librawp'),
        'parent_item_colon' => '',
        'all_items' => __('Wszystkie promocje', 'librawp'),
        'menu_name' => __('Promocje', 'librawp')
);

    $args = array(
        'labels' => $labels,
        'public' => true,
        'publicly_queryable' => true,
        'show_ui' => true,
        'show_in_menu' => true,
		'menu_icon' => 'dashicons-calendar',
        'show_in_nav_menus' => false,
		'priority' => 1,
		'query_var' => true,
		'exclude_from_search' => true,
        'rewrite' => true,
        'capability_type' => 'page',
        'has_archive' => true,
        'hierarchical' => false,
        'menu_position' => null,
        'supports' => array( 'title', 'author', 'thumbnail' )
    );

    register_post_type( 'ksiazka', $args );
}

// post type dla logosów
add_action( 'init', 'lib_register_logos' );

function lib_register_logos() {
    $labels = array(
        'name' => _x('Logotypy', 'post type general name', 'librawp'),
        'singular_name' => _x('Logotyp', 'post type singular name', 'librawp'),
        'add_new' => _x('Dodaj nowy', 'Logotyp', 'librawp'),
        'add_new_item' => __('Dodaj nowy logotyp', 'librawp'),
        'edit_item' => __('Edytuj logotyp', 'librawp'),
        'new_item' => __('Dodaj logotyp', 'librawp'),
        'view_item' => __('Zobacz logotyp', 'librawp'),
        'search_items' => __('Przeszukaj logotypy', 'librawp'),
        'not_found' =>  __('Nie zapisano żadnych logotypów', 'librawp'),
        'not_found_in_trash' => __('Nie ma logotypów w koszu', 'librawp'),
        'parent_item_colon' => '',
        'all_items' => __('Wszystkie logotypy', 'librawp'),
        'menu_name' => __('Logotypy', 'librawp')
);

    $args = array(
        'labels' => $labels,
        'public' => true,
        'publicly_queryable' => true,
        'show_ui' => true,
        'show_in_menu' => true,
		'menu_icon' => 'dashicons-star-filled',
        'show_in_nav_menus' => false,
		'query_var' => true,
		'exclude_from_search' => true,
        'rewrite' => true,
        'capability_type' => 'page',
        'has_archive' => true,
        'hierarchical' => false,
        'menu_position' => null,
        'supports' => array( 'title', 'author', 'thumbnail',)
    );

    register_post_type( 'logotyp', $args );
}

add_action( 'init', 'lib_register_banner' );

function lib_register_banner() {
    $labels = array(
        'name' => _x('Bannery', 'post type general name', 'librawp'),
        'singular_name' => _x('Banner', 'post type singular name', 'librawp'),
        'add_new' => _x('Dodaj nowy', 'banner', 'librawp'),
        'add_new_item' => __('Dodaj nowy banner', 'librawp'),
        'edit_item' => __('Edytuj banner', 'librawp'),
        'new_item' => __('Dodaj banner', 'librawp'),
        'view_item' => __('Zobacz banner', 'librawp'),
        'search_items' => __('Przeszukaj banner', 'librawp'),
        'not_found' =>  __('Nie zapisano żadnych bannerów', 'librawp'),
        'not_found_in_trash' => __('Brak bannerów w koszu', 'librawp'),
        'parent_item_colon' => '',
        'all_items' => __('Wszystkie bannery', 'librawp'),
        'menu_name' => __('Bannery', 'librawp')
);

    $args = array(
        'labels' => $labels,
        'public' => true,
        'publicly_queryable' => true,
        'show_ui' => true,
        'show_in_menu' => true,
		'menu_icon' => 'dashicons-images-alt2',
        'show_in_nav_menus' => false,
		'query_var' => true,
		'exclude_from_search' => true,
        'rewrite' => true,
        'capability_type' => 'post',
        'has_archive' => false,
        'hierarchical' => false,
        'menu_position' => null,
        'supports' => array( 'title', 'editor', 'author', 'thumbnail' )
    );

    register_post_type( 'banner', $args );
}

// url meta boxes for banner, logotyp and book post types	
	add_action( 'add_meta_boxes', 'lib_banner_meta_box_add' );
	function lib_banner_meta_box_add()
	{
		add_meta_box( 'lib-meta-box-id', __('Docelowy adres www','librawp'), 'lib_meta_box_cb', 'banner', 'normal', 'high' );
	}
	add_action( 'add_meta_boxes', 'lib_logotyp_meta_box_add' );
	function lib_logotyp_meta_box_add()
	{
		add_meta_box( 'lib-meta-box-id', __('Docelowy adres www','librawp'), 'lib_meta_box_cb', 'logotyp', 'normal', 'high' );
	}
	add_action( 'add_meta_boxes', 'lib_book_meta_box_add' );
	function lib_book_meta_box_add()
	{
		add_meta_box( 'lib-meta-box-id', __('Docelowy adres www','librawp'), 'lib_meta_box_cb', 'ksiazka', 'normal', 'high' );
	}

	function lib_meta_box_cb( $post )
	{
		$url = get_post_meta($post->ID, 'url', true);
		wp_nonce_field( 'lib_meta_box_nonce', 'meta_box_nonce' ); ?>

		<p>
			<label for="url">Docelowy adres www</label>
			<input type="text" name="url" id="url" value="<?php echo $url; ?>" style="width:350px" />
		</p>

		<?php	
	}
	
	add_action( 'save_post', 'lib_meta_box_save' );
	function lib_meta_box_save( $post_id )
	{
		if( defined( 'DOING_AUTOSAVE' ) && DOING_AUTOSAVE ) return;

		// if our nonce isn't there, or we can't verify it, bail
		if( !isset( $_POST['meta_box_nonce'] ) || !wp_verify_nonce( $_POST['meta_box_nonce'], 'lib_meta_box_nonce' ) ) return;

		if( !current_user_can( 'edit_post', $post_id ) ) return;
		// saving data
		$allowed = array( 
			'a' => array( // on allow a tags
				'href' => array() // with href only
			)
		);

		// checki if data is set
		if( isset( $_POST['url'] ) )
			update_post_meta( $post_id, 'url', wp_kses( $_POST['url'], $allowed ) );
	}

// thumbnails
add_theme_support( 'post-thumbnails' ); 
add_image_size( 'book-thumb', 171, 272, true );
add_image_size( 'logotypy-thumb', 300, 100 );
add_image_size( 'post-thumb', 300, 200, true );
add_image_size( 'banner-thumb', 1140, 348, true );

// move thumbnail meta_box
function customposttype_image_box() {

	remove_meta_box('postimagediv', 'ksiazka', 'side');
	remove_meta_box('postimagediv', 'logotyp', 'side');
	remove_meta_box('postimagediv', 'post', 'side');
	remove_meta_box('postimagediv', 'banner', 'side');
	add_meta_box('postimagediv', __('Grafika promocji','librawp'), 'post_thumbnail_meta_box', 'ksiazka', 'normal', 'high');
	add_meta_box('postimagediv', __('Grafika - logo','librawp'), 'post_thumbnail_meta_box', 'logotyp', 'normal', 'high');
	add_meta_box('postimagediv', __('Obrazek wpisu','librawp'), 'post_thumbnail_meta_box', 'post', 'normal', 'high');
	add_meta_box('postimagediv', __('Ikona wpisu','librawp'), 'post_thumbnail_meta_box', 'banner', 'normal', 'high');

}
add_action('do_meta_boxes', 'customposttype_image_box');


// SIDEBARS

if ( ! function_exists( 'lib_register_sidebars' ) ) {

function lib_register_sidebars() {

	register_sidebar( array(
		'id'            => 'right-sidebar_2',
		'name'          => __( 'Prawa kolumna', 'librawp' ),
		'description'   => '',
		'before_title'  => '<h3>',
		'after_title'   => '</h3>',
		'before_widget' => '<div class="widget-wrapper clearfix">',
		'after_widget'  => '</div>',
		)
	);
	register_sidebar( array(
		'id'            => 'right-sidebar_1',
		'name'          => __( 'Środkowa kolumna', 'librawp' ),
		'description'   => __('Widoczna w serwisie wyłącznie w układzie trzykolumnowym','librawp'),
		'before_title'  => '<h3>',
		'after_title'   => '</h3>',
		'before_widget' => '<div class="widget-wrapper clearfix">',
		'after_widget'  => '</div>',
		)
	);
	register_sidebar( array(
		'id'            => 'above-footer-sidebar',
		'name'          => __( 'Sidebar nad stopką', 'librawp' ),
		'description'   => '',
		'before_title'  => '<h3>',
		'after_title'   => '</h3>',
		'before_widget' => '<div class="container afooter"><div class="row">',
		'after_widget'  => '</div></div>',
		)
	);
	register_sidebar( array(
		'id'            => 'footer_sidebar',
		'name'          => __( 'Stopka 1', 'librawp' ),
		'before_title'  => '<h3>',
		'after_title'   => '</h3>',
		'before_widget' => '',
		'after_widget'  => '',
		)
	);
	register_sidebar( array(
		'id'            => 'footer_sidebar_2',
		'name'          => __( 'Stopka 2', 'librawp' ),
		'before_title'  => '<h3>',
		'after_title'   => '</h3>',
		'before_widget' => '',
		'after_widget'  => '',
		)
	);
	register_sidebar( array(
		'id'            => 'footer_sidebar_3',
		'name'          => __( 'Stopka 3', 'librawp' ),
		'before_title'  => '<h3>',
		'after_title'   => '</h3>',
		'before_widget' => '',
		'after_widget'  => '',
		)
	);
	register_sidebar( array(
		'id'            => 'footer_sidebar_4',
		'name'          => __( 'Stopka 4', 'librawp' ),
		'before_title'  => '<h3>',
		'after_title'   => '</h3>',
		'before_widget' => '',
		'after_widget'  => '',
		)
	);
}
add_action( 'widgets_init', 'lib_register_sidebars' );
}

add_filter( 'widget_tag_cloud_args', 'lib_widget_tag_cloud_args' );
function lib_widget_tag_cloud_args( $args ) {
	$args['largest'] = 12;
	$args['smallest'] = 12;
	$args['unit'] = 'px';
	return $args;
}

// CUSTOMIZER - layout controls - columns
function lib_customize_register_columns( $wp_customize ) {
	
	$wp_customize->add_setting('sidebar_layout', array(
		'default'    => 'double'
		));
	$wp_customize->add_control('sidebar_layout', array(
		'label'      => __('Liczba kolumn', 'librawp'),
		'section'    => 'layout',
		'settings'   => 'sidebar_layout',
		'type'       => 'radio',
		'priority'   => 1,
		'sanitize_callback' => 'lib_sanitize_checkbox',
		'choices'    => array(
			'double'   => __('Układ trzykolumnowy','librawp'),
			'single'   => __('Układ dwukolumnowy','librawp')
			
		)
	));
// CUSTOMIZER: new publications + logo bar
	$wp_customize->add_setting('new_publications_hide');
	$wp_customize->add_control('new_publications_hide',array(
		'type' => 'checkbox',
		'label' => __('Ukryj pasek promocji','librawp'),
		'section' => 'layout',
		'priority'  => 3,
		'sanitize_callback' => 'lib_sanitize_checkbox',
		)
	);
	$wp_customize->add_setting('logos_hide');
	$wp_customize->add_control('logos_hide',array(
		'type' => 'checkbox',
		'label' => __('Ukryj logotypy partnerów','librawp'),
		'section' => 'layout',
		'priority'  => 4,
		'sanitize_callback' => 'lib_sanitize_checkbox',
		)
	);
	$wp_customize->add_setting('search_bar_hide');
	$wp_customize->add_control('search_bar_hide',array(
		'type' => 'checkbox',
		'label' => __('Ukryj wyszukiwarkę w nagłówku','librawp'),
		'section' => 'layout',
		'priority'  => 5,
		'sanitize_callback' => 'lib_sanitize_checkbox',
		)
	);
	$wp_customize->add_setting('cookies_hide');
	$wp_customize->add_control('cookies_hide',array(
		'type' => 'checkbox',
		'label' => __('Ukryj domyślną informację o cookies','librawp'),
		'section' => 'layout',
		'priority'  => 6,
		'sanitize_callback' => 'lib_sanitize_checkbox',
		)
	);
	$wp_customize->add_setting('new_publications_textbox',array('default' => 'Nowości w bibliotece',));
	$wp_customize->add_control('new_publications_textbox',array(
		'label' => __('Nagłówek paska nowości','librawp'),
		'section' => 'layout',
		'type' => 'text',
		'priority'  => 7,
		'sanitize_callback' => 'lib_sanitize_text',
		)
	);
	
	$wp_customize->add_setting('logos_textbox',array('default' => 'Nasi partnerzy',));
	$wp_customize->add_control('logos_textbox',array(
		'label' => __('Nagłówek nad logotypami', 'librawp'),
		'section' => 'layout',
		'type' => 'text',
		'priority'  => 8,
		'sanitize_callback' => 'lib_sanitize_text',
		)
	);
	$wp_customize->add_setting('cookies_url_textbox',array('default' => '',));
	$wp_customize->add_control('cookies_url_textbox',array(
		'label' => 'Link do informacji o cookies',
		'section' => 'layout',
		'type' => 'text',
		'priority'  => 9,
		'sanitize_callback' => 'lib_sanitize_text',
		)
	);
	$wp_customize->add_section('layout' , array(
		'title' => __('Układ strony','librawp'),
	));
}

add_action( 'customize_register', 'lib_customize_register_columns' );

// CUSTOMIZER colors and site logo
function lib_customize_register_colors( $wp_customize ) {
    $wp_customize->add_section( 'lib_logo_section' , array(
    'title'       => __( 'Logo', 'librawp' ),
    'priority'    => 1,
    'description' => 'Prześlij logo aby usunąć standardowe napisy zawierające tytuł i opis strony',
	) );
	$wp_customize->add_setting( 'lib_logo' );
	$wp_customize->add_control( new WP_Customize_Image_Control( $wp_customize, 'lib_logo', array(
		'label'    => __( 'Logo', 'librawp' ),
		'section'  => 'lib_logo_section',
		'settings' => 'lib_logo',
	) ) );
	$colors = array();
	$colors[] = array(
		'slug'=>'top_color', 
		'default' => '#819d17',
		'priority'  => 2,
		'label' => __('Główny kolor', 'librawp')
	);
	$colors[] = array(
		'slug'=>'slideshow_background_color', 
		'default' => '',
		'priority'  => 4,
		'label' => __('Tło slidera', 'librawp')
	);
	$colors[] = array(
		'slug'=>'newp_color', 
		'default' => '#819d17',
		'priority'  => 6,
		'label' => __('Tło nowości', 'librawp')
	);
	$colors[] = array(
		'slug'=>'footer_color', 
		'default' => '#333',
		'priority'  => 8,
		'label' => __('Tło stopki', 'librawp')
	);
	$colors[] = array(
		'slug'=>'footer_lace_color', 
		'default' => '#222',
		'priority'  => 10,
		'label' => __('Tło dołu stopki', 'librawp')
	);
	foreach( $colors as $color ) {
		$wp_customize->add_setting(
			$color['slug'],
				array(
				'default' => $color['default'],
				'type' => 'option', 
				'capability' => 
				'edit_theme_options'
			)
		);
		$wp_customize->add_control(
			new WP_Customize_Color_Control(
				$wp_customize,
				$color['slug'], 
				array('label' => $color['label'], 
				'section' => 'colors',
				'sanitize_callback' => 'sanitize_hex_color',
				'priority'  => $color['priority'],
				'settings' => $color['slug'])
			)
		);
	}
	$wp_customize->add_setting('footer_dark_color');
	$wp_customize->add_control('footer_dark_color', array(
		'type' => 'checkbox',
		'label' => __('Ciemny kolor czcionki w stopce','librawp'),
		'section' => 'colors',
		'priority'  => 9,
		'sanitize_callback' => 'lib_sanitize_checkbox',
		)
	);
	$wp_customize->add_setting('newpublications_dark_color');
	$wp_customize->add_control('newpublications_dark_color', array(
		'type' => 'checkbox',
		'label' => __('Ciemny kolor czcionki w pasku nowości','librawp'),
		'section' => 'colors',
		'priority'  => 7,
		'sanitize_callback' => 'lib_sanitize_checkbox',
		)
	);
}
add_action( 'customize_register', 'lib_customize_register_colors' );

// CUSTOMIZER - data sanitization
function lib_sanitize_text( $input ) {
    return wp_kses_post( force_balance_tags( $input ) );
}
function lib_sanitize_checkbox( $input ) {
    if ( $input == 1 ) {
        return 1;
    } else {
        return '';
    }
}
// SHORTCODES
function colored_link( $atts, $content = null ) {
	extract( shortcode_atts(
		array(
			'link' => '',
			'kolor' => '',
			'symbol' => '',
		), $atts )
	);
	$return_string = '<div class="small-column-banner" style="width:100%;background:'.$kolor.';"><a href="'.$link.'"><span>'.$symbol.'</span>'.$content.'</a></div>';
	return $return_string;
}
add_shortcode( 'button', 'colored_link' );
add_filter('widget_text', 'do_shortcode');


// remove version information
function remove_wp_version() {
	return '';
}
add_filter( 'the_generator', 'remove_wp_version' );

// registering js
if (!is_admin()) add_action("wp_enqueue_scripts", "librawp_jquery_enqueue", 11);
function librawp_jquery_enqueue() {
   wp_deregister_script('jquery');
   wp_register_script('jquery', "http" . ($_SERVER['SERVER_PORT'] == 443 ? "s" : "") . "://ajax.googleapis.com/ajax/libs/jquery/1.11.0/jquery.min.js", false, null);
   wp_enqueue_script('jquery');
   wp_enqueue_script( 'bootstrap', get_template_directory_uri() . '/js/bootstrap.min.js', array('jquery'), '3.1.1', true );
   wp_enqueue_script( 'bxslider', get_template_directory_uri() . '/js/jquery.bxslider.min.js', array('jquery'), '4.1.1', true );
   if ( (!is_admin()) && is_singular() && comments_open() && get_option('thread_comments') )
	wp_enqueue_script( 'comment-reply' );
}


// Uncategorized category name change
wp_update_term(1, 'category', array(
    'name' => 'biblioteka',
    'slug' => 'biblioteka', 
    'description' => ''
));

if ( ! isset( $content_width ) )
	$content_width = 635;

?>