<!DOCTYPE html>
<!--[if IE 7]>
<html class="ie ie7" <?php language_attributes(); ?>>
<![endif]-->
<!--[if IE 8]>
<html class="ie ie8" <?php language_attributes(); ?>>
<![endif]-->
<!--[if !(IE 7) | !(IE 8)  ]><!-->
<html>
<!--<![endif]-->
  <head>
    <title><?php if(is_home()) { echo bloginfo("name");} else { echo wp_title(" | ", false, 'right'); echo bloginfo("name"); } ?></title>
	<meta charset='<?php bloginfo( 'charset' ); ?>'> 
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
	<meta http-equiv="X-UA-Compatible" content="IE=edge">
	<link rel="profile" href="http://gmpg.org/xfn/11">
	<link href="<?php echo get_template_directory_uri(); ?>/favicon.ico" rel="shortcut icon" type="image/x-icon" />
	<link rel="pingback" href="<?php bloginfo( 'pingback_url' ); ?>">
	<!--[if lt IE 9]>
	<script src="http://css3-mediaqueries-js.googlecode.com/files/css3-mediaqueries.js"></script>
	<script src="http://html5shim.googlecode.com/svn/trunk/html5.js"></script>
	<![endif]-->

	<link href="<?php echo get_template_directory_uri(); ?>/css/bootstrap.min.css" rel="stylesheet" />
	<link href="<?php echo get_template_directory_uri(); ?>/css/jquery.bxslider.css" rel="stylesheet" />
	<link href="<?php bloginfo('stylesheet_url');?>" rel="stylesheet">
	
    <!--[if lt IE 9]>
      <script src="<?php echo get_template_directory_uri(); ?>/js/html5shiv.js"></script>
      <script src="<?php echo get_template_directory_uri(); ?>/js/respond.min.js"></script>
    <![endif]-->
	<!-- CUSTOMIZER -->
	<?php
		$top_color = get_option('top_color');
		$slideshow_background_color = get_option('slideshow_background_color');
		$footer_color = get_option('footer_color');
		$footer_lace_color = get_option('footer_lace_color');
		$newp_color = get_option('newp_color');
	?>
	<style>
		<?php if (get_theme_mod('footer_dark_color')) { ?>
			.main-footer {color:#333;}
			.main-footer ul li a {color: #333;}
			.main-footer{background-image:none;}
		<?php }; ?>
		<?php if (get_theme_mod('newpublications_dark_color')) { ?>
			.new-publications, .new-publications a, .new-publications span, .cover a, .cover a:hover{color:#333;}
			.new-publications{background-image:none;}
		<?php }; ?>
		<?php if($slideshow_background_color != ''){ ?>	.slideshow { background: <?php echo $slideshow_background_color; ?>;}<?php }; ?>
		<?php if($newp_color != ''){ ?>	.new-publications { background-color: <?php echo $newp_color; ?>;}<?php }; ?>
		<?php if($footer_color != ''){ ?>	.main-footer { background-color: <?php echo $footer_color; ?>;}<?php }; ?>
		<?php if($footer_lace_color != ''){ ?>	.lace { background-color: <?php echo $footer_lace_color; ?>;}<?php }; ?>
		<?php if($top_color != ''){ ?>
			body { border-top-color:  <?php echo $top_color; ?>; }
			.navbar-default .navbar-nav>.active>a, .navbar-default .navbar-nav>.active>a:hover, .navbar-default .navbar-nav>.active>a:focus, .dropdown-menu>.active>a, .dropdown-menu>.active>a:hover, .dropdown-menu>.active>a:focus { background-color:  <?php echo $top_color; ?>; }
			.navbar-default .navbar-nav>.open>a, .navbar-default .navbar-nav>.open>a:hover, .navbar-default .navbar-nav>.open>a:focus, .current-menu-parent {background-color:  <?php echo $top_color; ?>;}
			.small-column-banner {background-color:  <?php echo $top_color; ?>;}
			a, a:hover {color: <?php echo $top_color; ?>;}
			.widget-wrapper ul li a, .current-menu-parent>a{color:<?php echo $top_color; ?>;}
			blockquote{border-left-color:<?php echo $top_color; ?>;}
		<?php }; ?>
	</style>
	<!-- /customizer -->
	<?php wp_head(); ?>
</head>
<body <?php body_class(); ?>>
	<header class="header1">
	<div class="navbar-wrap">
	 <nav class="navbar navbar-default navbar-static-top " role="navigation">
	  <div class="container">
		<div class="navbar-header">
		  <button type="button" class="navbar-toggle" data-toggle="collapse" data-target="#navbar-main">
			<span class="sr-only">Toggle navigation</span>
			<span class="icon-bar"></span>
			<span class="icon-bar"></span>
			<span class="icon-bar"></span>
		  </button>
		  <?php if(get_theme_mod( 'lib_logo' )) { ?>
		  <a class="brand" href="<?php echo esc_url( home_url( '/' ) ); ?>" title="<?php echo esc_attr( get_bloginfo( 'name', 'display' ) );?>">
		  <img src="<?php echo esc_url( get_theme_mod( 'lib_logo' ) ); ?>" alt="<?php echo esc_attr( get_bloginfo( 'name', 'display' ) ); ?>">
		  </a>
		  <?php } elseif (get_bloginfo( 'description' )) { ?>
		  <a class="navbar-brand navbar-brand-2" href="<?php echo esc_url( home_url( '/' ) ); ?>" title="<?php echo esc_attr( get_bloginfo( 'name', 'display' ) ); ?>"><?php echo esc_attr( get_bloginfo( 'name', 'display' ) ); ?><br /><span><?php echo esc_attr( bloginfo('description')) ;?></span></a>
		  <?php } else { ?>
		  <a class="navbar-brand" href="<?php echo esc_url( home_url( '/' ) ); ?>"><?php echo esc_attr( get_bloginfo( 'name', 'display' ) ); ?></a>
		  <?php }; ?>
		</div>


		<div class="collapse navbar-collapse navbar-right" id="navbar-main">
		<?php wp_nav_menu( array(
                'menu'              => 'Gwne',
                'theme_location'    => 'primary',
                'depth'             => 2,
                'container'         => false,
                'menu_class'        => 'nav navbar-nav',
                'fallback_cb'       => 'wp_bootstrap_navwalker::fallback',
                'walker'            => new wp_bootstrap_navwalker())
            );?>
		
		
			<?php if( get_theme_mod( 'search_bar_hide' ) == '') {?>
			<?php get_search_form(); ?>
			
			<!--<form method="get"  class="navbar-form navbar-right" role="search" action="<?php home_url( '/' ) ?>">
				<div class="form-group">
				<label class="sr-only" for="s"><?php __( 'Search for:', 'librawp' ) ?></label>
				<input type="text" class="form-control" placeholder="Szukaj" value="<?php the_search_query(); ?>" name="s" id="s" />
				<input type="submit" id="searchsubmit" class="btn btn-default" value="szukaj" /></div>
				
			</form>-->
			<?php }; ?>
		  
		</div><!-- /.navbar-collapse -->
	  </div><!-- /.container -->
	</nav>
	</div><!-- /.navbar-wrap -->
	</header>
	<?php if(is_front_page()) { get_template_part('slider'); };  ?>